Facturas por pagar del cliente del enlace (sin sesión)
curl --request GET \
--url https://api.raul.ugps.io/api/v1/debt-links/{token}import requests
url = "https://api.raul.ugps.io/api/v1/debt-links/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.raul.ugps.io/api/v1/debt-links/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.raul.ugps.io/api/v1/debt-links/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.raul.ugps.io/api/v1/debt-links/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.raul.ugps.io/api/v1/debt-links/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.raul.ugps.io/api/v1/debt-links/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"contractVersion": 1,
"clientName": "Petroleum Test Lab SpA",
"invoices": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folio": "F33-338120",
"paymentStatus": "pending",
"issueDate": "2026-08-01",
"dueDate": "2026-08-11",
"totalAmount": 119000,
"amountResidual": 119000,
"payableOnline": true
}
],
"totalOwed": 257000,
"collectionAccount": {
"bankName": "Banco Ejemplo",
"accountType": "checking",
"accountNumber": "12-345-67890-01",
"holderName": "Empresa Ejemplo SpA",
"holderRut": "<string>",
"billingEmail": "<string>"
}
}debt-links-public
Facturas por pagar del cliente del enlace (sin sesión)
Las facturas por cobrar al momento de abrir el enlace (DTE aceptado por el SII y saldo), primero las vencidas, con el total adeudado y la cuenta de cobro. El enlace sirve varias veces hasta que vence.
GET
/
api
/
v1
/
debt-links
/
{token}
Facturas por pagar del cliente del enlace (sin sesión)
curl --request GET \
--url https://api.raul.ugps.io/api/v1/debt-links/{token}import requests
url = "https://api.raul.ugps.io/api/v1/debt-links/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.raul.ugps.io/api/v1/debt-links/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.raul.ugps.io/api/v1/debt-links/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.raul.ugps.io/api/v1/debt-links/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.raul.ugps.io/api/v1/debt-links/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.raul.ugps.io/api/v1/debt-links/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"contractVersion": 1,
"clientName": "Petroleum Test Lab SpA",
"invoices": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folio": "F33-338120",
"paymentStatus": "pending",
"issueDate": "2026-08-01",
"dueDate": "2026-08-11",
"totalAmount": 119000,
"amountResidual": 119000,
"payableOnline": true
}
],
"totalOwed": 257000,
"collectionAccount": {
"bankName": "Banco Ejemplo",
"accountType": "checking",
"accountNumber": "12-345-67890-01",
"holderName": "Empresa Ejemplo SpA",
"holderRut": "<string>",
"billingEmail": "<string>"
}
}Path Parameters
Token del enlace de deuda
Response
Versión del contrato; el consumidor acepta la vigente y la anterior
Required range:
x >= 1Example:
1
Nombre del cliente del enlace; null si no tiene
Example:
"Petroleum Test Lab SpA"
Facturas por cobrar al momento de abrir el enlace: primero las vencidas, después por vencimiento
Show child attributes
Show child attributes
Suma de los saldos en CLP; 0 sin deuda
Example:
257000
Cuenta de cobro para pagar por transferencia: la cuenta bancaria marcada en Finanzas; null si no hay
Show child attributes
Show child attributes